net.corda.core.crypto

## Class NullPublicKey

- net.corda.core.crypto.NullPublicKey

-     public class NullPublicKey

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NullPublicKey` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.security.PublicKey other)`
    `java.lang.String` | `getAlgorithm()`
    `byte[]` | `getEncoded()`
    `java.lang.String` | `getFormat()`
    `java.lang.String` | `toString()`

- - ### Field Detail

    - #### INSTANCE

          public static NullPublicKey INSTANCE

  - ### Method Detail

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

    - #### getEncoded

          public byte[] getEncoded()

    - #### getFormat

          public java.lang.String getFormat()

    - #### compareTo

          public int compareTo(java.security.PublicKey other)

    - #### toString

          public java.lang.String toString()